//importing modules geoPath geoNaturalEarth1, geoGraticule form d3
import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
  geoEquirectangular,
} from 'd3';
//declaring the constant projection for the shape of the map
const projection = geoEquirectangular();
//projecting the world map using geoPath().projection
const path = geoPath(projection);
const graticule = geoGraticule();
//exporting the function Marks
export const Marks = ({ data: { interiors, land } }) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />

    {land.features.map((feature) => (
      <path className="land" d={path(feature)} />
    ))}

    <path className="interiors" d={path(interiors)} />
  </g>
);
