//importing modules useEffect useState from react
import { useEffect, useState } from 'react';
//importing json module from d3
import { json } from 'd3';
//importing feature and mesh module from topojson
import { feature, mesh } from 'topojson';
//getting url of .json file which containing the data required to visualise world map
const jsonUrl =
  'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';

//exporting the funtion name useData
export const useData = () => {
  const [data, setData] = useState(null);
  console.log(data);

  useEffect(() => {
    //using jsonURl to get the data attributes like topology
    json(jsonUrl).then((topology) => {
      const { countries, land } = topology.objects;
      setData({
        land: feature(topology, land),
        interiors: mesh(
          topology,
          countries,
          //create mesh if the one is not eqaul to other
          (a, b) => a !== b
        ),
      });
    });
  }, []);

  return data;
};
